from pathlib import Path

from yarl import URL

LOADMYDATA_FOLDER_STR = ".loadmydata_datasets"
CACHE_HOME = Path.home() / LOADMYDATA_FOLDER_STR

CONFIG = {
    "cache_home": CACHE_HOME,
    "uea_ucr_download_link": URL(
        "http://www.timeseriesclassification.com/Downloads/"
    ),
    "nyc_taxi_download_link": URL(
        "https://raw.githubusercontent.com/numenta/NAB/master/data/realKnownCause"
    ),
    "human_locomotion_download_link": URL("http://dev.ipol.im/~truong"),
}

# for the human locomotion data set
HUMAN_LOCOMOTION_CODE_LIST = [
    "1-1",
    "1-2",
    "1-3",
    "1-4",
    "1-5",
    "2-1",
    "2-2",
    "2-3",
    "3-1",
    "3-2",
    "3-3",
    "3-4",
    "3-5",
    "4-1",
    "4-2",
    "4-3",
    "4-4",
    "4-5",
    "5-1",
    "5-2",
    "5-3",
    "5-4",
    "5-5",
    "5-6",
    "5-7",
    "5-8",
    "5-9",
    "5-10",
    "6-1",
    "6-2",
    "6-3",
    "6-4",
    "6-5",
    "7-1",
    "8-1",
    "8-2",
    "8-3",
    "8-4",
    "8-5",
    "9-1",
    "9-2",
    "10-1",
    "10-2",
    "10-3",
    "10-4",
    "10-5",
    "11-1",
    "11-2",
    "11-3",
    "11-4",
    "11-5",
    "12-1",
    "12-2",
    "12-3",
    "12-4",
    "12-5",
    "12-6",
    "12-7",
    "12-8",
    "12-9",
    "12-10",
    "12-11",
    "12-12",
    "12-13",
    "12-14",
    "12-15",
    "12-16",
    "12-17",
    "12-18",
    "12-19",
    "12-20",
    "12-21",
    "12-22",
    "12-23",
    "12-24",
    "12-25",
    "12-26",
    "12-27",
    "13-1",
    "13-2",
    "13-3",
    "13-4",
    "13-5",
    "13-6",
    "13-7",
    "13-8",
    "14-1",
    "14-2",
    "15-1",
    "15-2",
    "16-1",
    "16-2",
    "16-3",
    "16-4",
    "16-5",
    "17-1",
    "17-2",
    "17-3",
    "17-4",
    "18-1",
    "18-2",
    "18-3",
    "18-4",
    "19-1",
    "19-2",
    "19-3",
    "20-1",
    "20-2",
    "20-3",
    "20-4",
    "20-5",
    "21-1",
    "21-2",
    "21-3",
    "21-4",
    "22-1",
    "22-2",
    "22-3",
    "22-4",
    "22-5",
    "23-1",
    "23-2",
    "23-3",
    "23-4",
    "23-5",
    "24-1",
    "24-2",
    "24-3",
    "24-4",
    "25-1",
    "25-2",
    "25-3",
    "25-4",
    "25-5",
    "25-6",
    "26-1",
    "26-2",
    "27-1",
    "27-2",
    "27-3",
    "27-4",
    "27-5",
    "28-1",
    "28-2",
    "28-3",
    "28-4",
    "28-5",
    "29-1",
    "29-2",
    "30-1",
    "30-2",
    "30-3",
    "31-1",
    "31-2",
    "31-3",
    "31-4",
    "31-5",
    "32-1",
    "32-2",
    "32-3",
    "32-4",
    "33-1",
    "33-2",
    "33-3",
    "33-4",
    "33-5",
    "34-1",
    "34-2",
    "34-3",
    "34-4",
    "34-5",
    "34-6",
    "35-1",
    "35-2",
    "36-1",
    "36-2",
    "36-3",
    "36-4",
    "37-1",
    "37-2",
    "38-1",
    "38-2",
    "38-3",
    "38-4",
    "38-5",
    "38-6",
    "38-7",
    "38-8",
    "38-9",
    "38-10",
    "39-1",
    "39-2",
    "39-3",
    "39-4",
    "39-5",
    "39-6",
    "40-1",
    "40-2",
    "40-3",
    "40-4",
    "40-5",
    "41-1",
    "41-2",
    "41-3",
    "41-4",
    "41-5",
    "42-1",
    "42-2",
    "42-3",
    "42-4",
    "42-5",
    "43-1",
    "43-2",
    "43-3",
    "43-4",
    "43-5",
    "44-1",
    "44-2",
    "44-3",
    "44-4",
    "45-1",
    "45-2",
    "45-3",
    "45-4",
    "45-5",
    "46-1",
    "46-2",
    "47-1",
    "47-2",
    "47-3",
    "47-4",
    "48-1",
    "48-2",
    "49-1",
    "49-2",
    "49-3",
    "49-4",
    "49-5",
    "50-1",
    "50-2",
    "51-1",
    "51-2",
    "51-3",
    "51-4",
    "51-5",
    "52-1",
    "52-2",
    "52-3",
    "53-1",
    "53-2",
    "53-3",
    "53-4",
    "53-5",
    "54-1",
    "54-2",
    "54-3",
    "54-4",
    "54-5",
    "55-1",
    "55-2",
    "55-3",
    "55-4",
    "55-5",
    "55-6",
    "55-7",
    "56-1",
    "56-2",
    "57-1",
    "57-2",
    "57-3",
    "57-4",
    "57-5",
    "58-1",
    "58-2",
    "59-1",
    "59-2",
    "60-1",
    "60-2",
    "60-3",
    "60-4",
    "60-5",
    "61-1",
    "61-2",
    "62-1",
    "62-2",
    "62-3",
    "62-4",
    "63-1",
    "63-2",
    "63-3",
    "63-4",
    "63-5",
    "63-6",
    "64-1",
    "64-2",
    "64-3",
    "64-4",
    "64-5",
    "64-6",
    "64-7",
    "64-8",
    "65-1",
    "65-2",
    "65-3",
    "65-4",
    "65-5",
    "65-6",
    "65-7",
    "66-1",
    "66-2",
    "67-1",
    "67-2",
    "67-3",
    "67-4",
    "67-5",
    "67-6",
    "67-7",
    "68-1",
    "68-2",
    "68-3",
    "68-4",
    "68-5",
    "69-1",
    "69-2",
    "69-3",
    "69-4",
    "69-5",
    "70-1",
    "70-2",
    "71-1",
    "71-2",
    "71-3",
    "72-1",
    "72-2",
    "72-3",
    "72-4",
    "72-5",
    "73-1",
    "73-2",
    "73-3",
    "73-4",
    "73-5",
    "74-1",
    "74-2",
    "75-1",
    "76-1",
    "76-2",
    "76-3",
    "76-4",
    "76-5",
    "77-1",
    "77-2",
    "78-1",
    "78-2",
    "78-3",
    "79-1",
    "79-2",
    "79-3",
    "80-1",
    "80-2",
    "80-3",
    "80-4",
    "80-5",
    "80-6",
    "80-7",
    "80-8",
    "81-1",
    "81-2",
    "81-3",
    "81-4",
    "81-5",
    "82-1",
    "82-2",
    "82-3",
    "82-4",
    "83-1",
    "83-2",
    "83-3",
    "84-1",
    "84-2",
    "85-1",
    "85-2",
    "85-3",
    "85-4",
    "85-5",
    "86-1",
    "86-2",
    "87-1",
    "87-2",
    "87-3",
    "87-4",
    "87-5",
    "87-6",
    "87-7",
    "87-8",
    "87-9",
    "87-10",
    "88-1",
    "88-2",
    "88-3",
    "88-4",
    "88-5",
    "89-1",
    "89-2",
    "89-3",
    "89-4",
    "89-5",
    "90-1",
    "90-2",
    "90-3",
    "90-4",
    "90-5",
    "91-1",
    "91-2",
    "91-3",
    "91-4",
    "92-1",
    "92-2",
    "92-3",
    "92-4",
    "92-5",
    "92-6",
    "93-1",
    "93-2",
    "93-3",
    "93-4",
    "93-5",
    "94-1",
    "94-2",
    "94-3",
    "94-4",
    "94-5",
    "94-6",
    "94-7",
    "94-8",
    "94-9",
    "94-10",
    "95-1",
    "95-2",
    "95-3",
    "95-4",
    "95-5",
    "96-1",
    "96-2",
    "96-3",
    "96-4",
    "96-5",
    "97-1",
    "97-2",
    "97-3",
    "97-4",
    "97-5",
    "98-1",
    "98-2",
    "98-3",
    "98-4",
    "98-5",
    "99-1",
    "99-2",
    "99-3",
    "100-1",
    "100-2",
    "101-1",
    "101-2",
    "101-3",
    "101-4",
    "101-5",
    "102-1",
    "102-2",
    "102-3",
    "102-4",
    "103-1",
    "103-2",
    "103-3",
    "103-4",
    "103-5",
    "104-1",
    "104-2",
    "104-3",
    "104-4",
    "104-5",
    "105-1",
    "105-2",
    "105-3",
    "105-4",
    "105-5",
    "106-1",
    "106-2",
    "106-3",
    "106-4",
    "106-5",
    "107-1",
    "107-2",
    "108-1",
    "108-2",
    "108-3",
    "109-1",
    "109-2",
    "109-3",
    "109-4",
    "110-1",
    "110-2",
    "110-3",
    "111-1",
    "111-2",
    "111-3",
    "111-4",
    "111-5",
    "112-1",
    "112-2",
    "112-3",
    "112-4",
    "112-5",
    "113-1",
    "113-2",
    "113-3",
    "113-4",
    "114-1",
    "114-2",
    "115-1",
    "115-2",
    "115-3",
    "115-4",
    "115-5",
    "116-1",
    "116-2",
    "116-3",
    "116-4",
    "116-5",
    "116-6",
    "116-7",
    "116-8",
    "116-9",
    "117-1",
    "117-2",
    "118-1",
    "118-2",
    "119-1",
    "119-2",
    "119-3",
    "119-4",
    "119-5",
    "120-1",
    "120-2",
    "121-1",
    "121-2",
    "121-3",
    "121-4",
    "122-1",
    "122-2",
    "122-3",
    "122-4",
    "123-1",
    "123-2",
    "124-1",
    "124-2",
    "124-3",
    "124-4",
    "125-1",
    "125-2",
    "125-3",
    "125-4",
    "125-5",
    "126-1",
    "127-1",
    "127-2",
    "127-3",
    "127-4",
    "127-5",
    "128-1",
    "128-2",
    "128-3",
    "128-4",
    "128-5",
    "129-1",
    "129-2",
    "129-3",
    "129-4",
    "129-5",
    "130-1",
    "130-2",
    "131-1",
    "131-2",
    "131-3",
    "131-4",
    "131-5",
    "132-1",
    "132-2",
    "132-3",
    "132-4",
    "132-5",
    "133-1",
    "133-2",
    "133-3",
    "133-4",
    "133-5",
    "134-1",
    "134-2",
    "134-3",
    "134-4",
    "134-5",
    "134-6",
    "134-7",
    "134-8",
    "134-9",
    "134-10",
    "134-11",
    "134-12",
    "134-13",
    "134-14",
    "135-1",
    "135-2",
    "136-1",
    "137-1",
    "137-2",
    "137-3",
    "138-1",
    "138-2",
    "138-3",
    "138-4",
    "138-5",
    "139-1",
    "139-2",
    "139-3",
    "139-4",
    "139-5",
    "139-6",
    "139-7",
    "139-8",
    "139-9",
    "139-10",
    "140-1",
    "140-2",
    "140-3",
    "140-4",
    "140-5",
    "140-6",
    "140-7",
    "140-8",
    "140-9",
    "141-1",
    "141-2",
    "142-1",
    "142-2",
    "143-1",
    "143-2",
    "144-1",
    "144-2",
    "145-1",
    "145-2",
    "145-3",
    "145-4",
    "145-5",
    "146-1",
    "146-2",
    "147-1",
    "147-2",
    "148-1",
    "148-2",
    "148-3",
    "148-4",
    "148-5",
    "149-1",
    "149-2",
    "149-3",
    "149-4",
    "149-5",
    "150-1",
    "150-2",
    "150-3",
    "150-4",
    "150-5",
    "151-1",
    "151-2",
    "151-3",
    "151-4",
    "151-5",
    "151-6",
    "151-7",
    "151-8",
    "151-9",
    "151-10",
    "151-11",
    "151-12",
    "152-1",
    "152-2",
    "152-3",
    "152-4",
    "152-5",
    "153-1",
    "153-2",
    "154-1",
    "154-2",
    "154-3",
    "154-4",
    "154-5",
    "155-1",
    "155-2",
    "155-3",
    "155-4",
    "155-5",
    "156-1",
    "156-2",
    "156-3",
    "156-4",
    "156-5",
    "156-6",
    "157-1",
    "157-2",
    "157-3",
    "157-4",
    "157-5",
    "158-1",
    "158-2",
    "158-3",
    "158-4",
    "158-5",
    "159-1",
    "159-2",
    "159-3",
    "159-4",
    "159-5",
    "160-1",
    "160-2",
    "160-3",
    "160-4",
    "160-5",
    "161-1",
    "161-2",
    "161-3",
    "161-4",
    "162-1",
    "162-2",
    "162-3",
    "162-4",
    "162-5",
    "162-6",
    "162-7",
    "162-8",
    "162-9",
    "163-1",
    "163-2",
    "163-3",
    "163-4",
    "163-5",
    "164-1",
    "164-2",
    "165-1",
    "165-2",
    "166-1",
    "166-2",
    "166-3",
    "166-4",
    "166-5",
    "167-1",
    "167-2",
    "168-1",
    "168-2",
    "168-3",
    "168-4",
    "168-5",
    "169-1",
    "169-2",
    "170-1",
    "170-2",
    "171-1",
    "171-2",
    "172-1",
    "172-2",
    "172-3",
    "172-4",
    "172-5",
    "173-1",
    "173-2",
    "173-3",
    "173-4",
    "173-5",
    "174-1",
    "174-2",
    "174-3",
    "174-4",
    "174-5",
    "175-1",
    "175-2",
    "175-3",
    "175-4",
    "175-5",
    "176-1",
    "176-2",
    "177-1",
    "177-2",
    "178-1",
    "178-2",
    "178-3",
    "178-4",
    "179-1",
    "179-2",
    "180-1",
    "180-2",
    "181-1",
    "181-2",
    "181-3",
    "181-4",
    "181-5",
    "181-6",
    "181-7",
    "182-1",
    "182-2",
    "182-3",
    "182-4",
    "182-5",
    "183-1",
    "183-2",
    "184-1",
    "184-2",
    "184-3",
    "184-4",
    "184-5",
    "184-6",
    "184-7",
    "184-8",
    "184-9",
    "185-1",
    "185-2",
    "186-1",
    "186-2",
    "186-3",
    "186-4",
    "186-5",
    "187-1",
    "187-2",
    "187-3",
    "187-4",
    "187-5",
    "188-1",
    "188-2",
    "188-3",
    "188-4",
    "188-5",
    "189-1",
    "189-2",
    "189-3",
    "189-4",
    "190-1",
    "190-2",
    "191-1",
    "191-2",
    "191-3",
    "191-4",
    "191-5",
    "191-6",
    "191-7",
    "192-1",
    "192-2",
    "192-3",
    "192-4",
    "192-5",
    "193-1",
    "193-2",
    "193-3",
    "193-4",
    "193-5",
    "194-1",
    "194-2",
    "194-3",
    "194-4",
    "194-5",
    "195-1",
    "195-2",
    "195-3",
    "195-4",
    "196-1",
    "196-2",
    "196-3",
    "196-4",
    "196-5",
    "197-1",
    "197-2",
    "197-3",
    "197-4",
    "197-5",
    "198-1",
    "198-2",
    "199-1",
    "199-2",
    "199-3",
    "199-4",
    "199-5",
    "199-6",
    "199-7",
    "200-1",
    "200-2",
    "200-3",
    "200-4",
    "200-5",
    "201-1",
    "201-2",
    "201-3",
    "201-4",
    "201-5",
    "202-1",
    "202-2",
    "202-3",
    "202-4",
    "202-5",
    "203-1",
    "203-2",
    "203-3",
    "203-4",
    "203-5",
    "204-1",
    "204-2",
    "204-3",
    "204-4",
    "204-5",
    "205-1",
    "205-2",
    "205-3",
    "205-4",
    "205-5",
    "206-1",
    "206-2",
    "207-1",
    "207-2",
    "208-1",
    "208-2",
    "209-1",
    "209-2",
    "209-3",
    "209-4",
    "209-5",
    "210-1",
    "210-2",
    "211-1",
    "211-2",
    "211-3",
    "212-1",
    "212-2",
    "213-1",
    "213-2",
    "213-3",
    "213-4",
    "213-5",
    "214-1",
    "214-2",
    "214-3",
    "215-1",
    "215-2",
    "215-3",
    "215-4",
    "215-5",
    "215-6",
    "216-1",
    "216-2",
    "217-1",
    "217-2",
    "218-1",
    "218-2",
    "218-3",
    "218-4",
    "218-5",
    "218-6",
    "218-7",
    "219-1",
    "219-2",
    "219-3",
    "219-4",
    "219-5",
    "220-1",
    "220-2",
    "220-3",
    "220-4",
    "220-5",
    "221-1",
    "221-2",
    "221-3",
    "221-4",
    "221-5",
    "222-1",
    "222-2",
    "222-3",
    "222-4",
    "222-5",
    "222-6",
    "222-7",
    "222-8",
    "222-9",
    "222-10",
    "223-1",
    "223-2",
    "224-1",
    "224-2",
    "225-1",
    "225-2",
    "225-3",
    "225-4",
    "225-5",
    "226-1",
    "226-2",
    "226-3",
    "226-4",
    "226-5",
    "227-1",
    "227-2",
    "228-1",
    "229-1",
    "229-2",
    "229-3",
    "229-4",
    "229-5",
    "229-6",
    "229-7",
    "229-8",
    "229-9",
    "229-10",
    "230-1",
    "230-2",
    "230-3",
    "230-4",
    "230-5",
]
